Bug 31444 - Add ENABLE_SHARED_SCRIPT feature define and flag for build-webkit
: Add ENABLE_SHARED_SCRIPT feature define and flag for build-webkit
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: WebCore Misc.
: 528+ (Nightly build)
: All All
: P2 Normal
Assigned To: Dmitry Titov
:
Depends on:
Blocks: 31317
  Show dependency treegraph
 
Reported: 2009-11-12 15:57 PST by Dmitry Titov
Modified: 2009-11-24 22:04 PST (History)
2 users (show)

See Also:


Attachments
Proposed patch. (13.38 KB, patch)
2009-11-12 16:01 PST, Dmitry Titov
eric: review+
dimich: commit‑queue-
Details | Formatted Diff | Diff
Updated for name change. (14.16 KB, patch)
2009-11-23 13:33 PST, Dmitry Titov
eric: review+
dimich: commit‑queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Titov 2009-11-12 15:57:56 PST
First step to implement WebKitGlobalScript (bug 31317). The feature will be initially disabled by default.
Comment 1 Dmitry Titov 2009-11-12 16:01:56 PST
Created attachment 43111 [details]
Proposed patch.
Comment 2 Eric Seidel 2009-11-13 13:35:10 PST
Comment on attachment 43111 [details]
Proposed patch.

Doesn't make much sense w/o the code, but this part of things looks fine.  Probably shoudl wait to land this until the code is closer to landing.
Comment 3 Dmitry Titov 2009-11-13 14:47:22 PST
I'm splitting the huge patch in bug 31317 into smaller pieces and clean them up in the process, to make it easier to review and easier to fix potential build breaks if they happen.

Does your comment mean I better accumulate a few reviewed patches with some real code and then land them together? I'd rather land them as they come to avoid need to merge them all the time. It is also way easier to work on a single patch at a time rather then on a dir with several patches applied.
Comment 4 Eric Seidel 2009-11-13 16:31:16 PST
I know nothing about this feature.  If it's contentious and someone is going to ask you to roll out the ENABLE_GLOBAL_SCRIPT support, or it's going to take months to get the actual global script support landed, then I think we should wait to land this.  If you're going to be landing global script support code tomorrow which uses this ENABLE, then go ahead and land this now. :)
Comment 5 Dmitry Titov 2009-11-13 16:45:46 PST
Agreed, all good points.

Will land this with the next patch which brings actual code, quite soon.
Comment 6 Dmitry Titov 2009-11-23 13:33:58 PST
Created attachment 43731 [details]
Updated for name change.

Replaced ENABLE_GLOBAL_SCRIPT with ENABLE_SHARED_SCRIPT and moved some lines in config files because they are in alphabetical order.
Comment 7 Dmitry Titov 2009-11-23 13:38:01 PST
Changing title to reflect the name change.
Comment 8 Dmitry Titov 2009-11-24 18:49:22 PST
Comment on attachment 43731 [details]
Updated for name change.

Eric, I've updated the patch following name change. Could you please give it a second look (ENABLE_GLOBAL_SCRIPT -> ENABLE_SHARED_SCRIPT)? Will land with patch for bug 31569.
Comment 9 Eric Seidel 2009-11-24 20:29:05 PST
Comment on attachment 43731 [details]
Updated for name change.

I'm not sure what "SharedScript" is or is supposed to mean, but the patch looks technically correct.
Comment 10 Dmitry Titov 2009-11-24 22:04:20 PST
Landed: http://trac.webkit.org/changeset/51373